\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, ../../yomcat}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 409 \hfill
Assignment 4 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[(1).]
	\item \begin{align*}
	\lnot F \to F \tag{1 - Premiss} \\
	\lnot \lnot F \lor F \tag{2 - SR on 1} \\
	F \lor F \tag{3 - SR on 2} \\
	F \tag{4 - SR on 3}
	\end{align*}
	\item \begin{enumerate}[(a)]
		\item By the deduction lemma, $\vdash (\lnot F \to F) \to F$ iff $(\lnot F \to F) \vdash F$. See above.
		\item By the deduction lemma, $\vdash F \to (\lnot F \to G)$ iff $F \vdash (\lnot F \to G)$. \begin{align*}
			F \tag{1 - Premiss} \\
			\lnot \lnot F \tag{2 - SR on 1} \\
			\lnot \lnot F \lor G \tag{3 - A on 2} \\
			\lnot F \to G \tag{4 - SR on 3}
		\end{align*}
		\item By the deduction lemma, $\vdash (F \to (G \to H)) \to ((F \to G) \to (F \to (G \land H)))$ iff $(F \to (G \to H)) \vdash ((F \to G) \to (F \to (G \land H)))$ iff $(F \to (G \to H))$, $((F \to G) \vdash (F \to (G \land H)))$ iff $(F \to (G \to H))$, $((F \to G)$, $F \vdash (G \land H)))$. \begin{align*}
			F \tag{1 - Premiss} \\
			F \to G \tag{2 - Premiss} \\
			F \to (G \to H) \tag{3 - Premiss} \\
			G \tag{4 - MP on 2 and 1} \\
			G \to H \tag{5 - MP on 3 and 1} \\
			H \tag{6 - MP on 5 and 4} \\
			G \land H \tag{7 - C on 4 and 6}
		\end{align*}
	\end{enumerate}
	\item Say \mbc{S} is inconsistent. Then $\mbc{S} \vdash F$ (1) and $\mbc{S} \vdash \lnot F$ (2). Use MP on (2b) and (1), so $\mbc{S} \vdash (\lnot F \to G)$ (4). Then use MP on (4) and (2) to give $\mbc{S} \vdash G$ for any formula $G$. \pend
	\item The following is a \mbc{S}-derivation. \begin{align*}
		\lnot F \to G \tag{1 - Given} \\
		\lnot F \to \lnot G \tag{2 - Given} \\
		\lnot \lnot F \lor G \tag{3 - SR on 1} \\
		F \lor G \tag{4 - SR on 3} \\
		\lnot \lnot F \lor \lnot G \tag{5 - SR on 2} \\
		F \lor \lnot G \tag{6 - SR on 5} \\
		(F \lor G) \land (F \lor \lnot G) \tag{7 - C on 4 and 6} \\
		F \land (G \lor \lnot G) \tag{8 - SR on 7} \\
		F \tag{9 - S on 8}
	\end{align*}
	\item $\mbc{D} = \mbc{S} \cup \{\lnot F\}$ is inconsistent, so by (3), $\mbc{D} \vdash G$ for any formula $G$. In particular, $\mbc{D} \vdash G$ and $\mbc{D} \vdash \lnot G$. By the deduction lemma, $\mbc{S} \vdash (\lnot F \to G)$ and $\mbc{S} \vdash (\lnot F \to \lnot G)$. Therefore, by (4), $\mbc{S} \vdash F$ and the result follows from contrapositive. \pend
	\item (b) $\iff$ (c) was an assignment question last week, (c) $\iff$ (d) is compactness (proven in lectures). \\
	(d) $\implies$ (a): Assume \mbc{S} is inconsistent. Then $\mbc{S} \vdash F \land \lnot F$. Truth assignments are unchanged over derivation, so if $\varphi(\mbc{S}) = 1$ then $\varphi(F \land \lnot F) = 1$. This works iff $\varphi(F) = \varphi(\lnot F) = 1$, which is a contradiction as $\varphi(\lnot F) = 1 - \varphi(F)$. Therefore, \mbc{S} is not satisfiable, and the result follows from contrapositive. \\
	(a) $\implies$ (b): Assume \mbc{S} does not have fip. Then $\exists \{F_0, \dots, F_n\} \subseteq \mbc{S}$ such that $F_0 \land \cdots \land F_n$ is a contradiction. $F_0 \land \cdots \land F_n$ is equivalent to $G \land \lnot G$ for some $G$ such that $\mbc{S} \vdash G \land \lnot G$. Therefore \mbc{S} is inconsistent and the result follows from contrapositive. \\
	Therefore, the four statements are equivalent. \pend
\end{enumerate}

\end{document}